Bug 1649755 - On-screen keyboard does not clear candidate list after a commit
Summary: On-screen keyboard does not clear candidate list after a commit
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-14 13:15 UTC by Mike FABIAN
Modified: 2019-11-27 19:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 19:54:56 UTC
Type: Bug


Attachments (Terms of Use)
on-screen-keyboard-does-not-clear-candidate-list-after-commit.png (168.51 KB, image/png)
2018-11-14 13:15 UTC, Mike FABIAN
no flags Details

Description Mike FABIAN 2018-11-14 13:15:15 UTC
Created attachment 1505675 [details]
on-screen-keyboard-does-not-clear-candidate-list-after-commit.png

When using with any ibus-inputmethod which displays a candidate list,
the candidate list should be cleared after a commit.

For example, when using it with the Japanese input method ibus-kkc
("kanji-kana"), one can type something by clicking the on-screen
keyboard and get a candidate list.

In the attached screenshot, I have clicked

    k a n j i

then clicked the space bar *twice* (first click to start conversion
and get the first candidate displayed inline, second click to show
more candidates).  Then I click on one of the candidates and see it
inserted into the preëdit.  Up to this point, everything works just
fine.

But now I click on the blue Return key to commit that candidate.  The
candidate is committed, but the candidate list is not cleared.
Further mouse clicks into the candidate list are ignored.

Now one can continue clicking on the letter keys to type another word,
and then click on the space bar twice, then finally the old candidate
list is replaced by a new one. But until then, the old, invalid
candidate list is still displayed.

Comment 1 Ben Cotton 2019-10-31 20:30:29 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-11-27 19:54:56 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.